# maybe TODO: emacs stuff
Summary:	ID database utilities
Summary(pl.UTF-8):	Narzędzia do bazy danych identyfikatorów
Name:		idutils
Version:	4.6
Release:	2
License:	GPL v3+
Group:		Applications
Source0:	http://ftp.gnu.org/gnu/idutils/%{name}-%{version}.tar.xz
# Source0-md5:	99b572536377fcddb4d38e86a3c215fd
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		stdio.patch
URL:		http://www.gnu.org/software/idutils/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Obsoletes:	id-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_sysconfdir}

%description
`mkid' is a simple, fast, high-capacity, language-independent
identifier database tool. Actually, the term `identifier' is too
limiting - `mkid' stores tokens, be they program identifiers of any
form, literal numbers, or words of human-readable text. Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.

%description -l pl.UTF-8
mkid to proste, szybkie, o dużej pojemności, niezależne od języka
narzędzie do baz danych identyfikatorów. Właściwie termin
"identyfikator" jest zbyt wąski - mkid przechowuje tokeny, które mogą
być identyfikatorami programu w dowolnej formie, liczbami czy słowami.
Zapytania do bazy danych mogą być wydawane z linii poleceń lub spod
emacsa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/aid
%attr(755,root,root) %{_bindir}/defid
%attr(755,root,root) %{_bindir}/eid
%attr(755,root,root) %{_bindir}/fid
%attr(755,root,root) %{_bindir}/fnid
%attr(755,root,root) %{_bindir}/gid
%attr(755,root,root) %{_bindir}/lid
%attr(755,root,root) %{_bindir}/mkid
%attr(755,root,root) %{_bindir}/xtokid
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/id-lang.map
%{_mandir}/man1/aid.1*
%{_mandir}/man1/defid.1*
%{_mandir}/man1/eid.1*
%{_mandir}/man1/fid.1*
%{_mandir}/man1/fnid.1*
%{_mandir}/man1/gid.1*
%{_mandir}/man1/lid.1*
%{_mandir}/man1/mkid.1*
%{_mandir}/man1/xtokid.1*
%{_infodir}/idutils.info*
%changelog
* Wed Dec 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/idutils.git;a=log;h=master

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> d334eea
- release 2 (by relup.sh)

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 62f66c4
- fix texinfo syntax errors
- ignore undefined gets

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> bdb6d32
- updated to 4.6

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 2be4109
- call fix-info-dir; rel 2

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> c18d071
- updated to 4.5
- updated info,pl.po-update patches

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> ae31b3e
- unify ftp.gnu.org urls

* Wed Aug 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 7710fc9
- updated to 4.2 (project has been renamed from id-utils to idutils)
- updated info patch, removed obsolete dirs,po patches
- added pl.po-update patch

* Wed Aug 08 2007 Jakub Bogusz <qboosh@pld-linux.org> b7c01bc
- for 4.2

* Wed Aug 08 2007 Jakub Bogusz <qboosh@pld-linux.org> efcc6ae
- updated for 4.2

* Wed Aug 08 2007 Jakub Bogusz <qboosh@pld-linux.org> a698002
- renamed to idutils-info.patch

* Wed Aug 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 793b0c3
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7f69717
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 91677b6
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 1a1db7d
- adapterized (sorted %verify attrs)

* Thu Aug 05 2004 ankry <ankry@pld-linux.org> a2cc902
- more fr fixes

* Wed Aug 04 2004 ankry <ankry@pld-linux.org> 34daed9
- po header fixes

* Wed Aug 04 2004 ankry <ankry@pld-linux.org> 8743dac
- i18n fixes (-po patch), rel. 2

* Sat Feb 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 1ab2ee6
- back to 3.2d (less ancient... 1999 vs 1996), restored previous dirs patch
- changed Source0 URL to working one

* Sat Feb 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 7778458
- back to version for 3.2d

* Fri Feb 20 2004 siefca <siefca@pld-linux.org> 062d74e
- patch adapted to new version

